Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class _BindingIteratorStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CosNaming._BindingIteratorStub

All Implemented Interfaces:
  BindingIterator, BindingIteratorOperations, IDLEntity, Object, java.io.Serializable

public class _BindingIteratorStub
extends ObjectImpl
implements BindingIterator

This interface provides an iterator to navigate into a naming context.

See Also:
  Serialized Form

Constructor Summary
`_BindingIteratorStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`void` | `destroy()` Operation destroy
`boolean` | `next_n(int how_many, BindingListHolder bl)` Operation next_n
`boolean` | `next_one(BindingHolder b)` Operation next_one

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _BindingIteratorStub

    public _BindingIteratorStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### next_one

    public boolean next_one(BindingHolder b)

  Operation next_one
  Specified by:
    `next_one` in interface `BindingIteratorOperations`
  Following copied from interface: `org.omg.CosNaming.BindingIteratorOperations`
  Returns:
    If there are no more bindings, false is returned.

### next_n

    public boolean next_n(int how_many,
                          BindingListHolder bl)

  Operation next_n
  Specified by:
    `next_n` in interface `BindingIteratorOperations`

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `BindingIteratorOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD